Ruby on Rails - bundle install hatası

  • 0
Siz de, bundle install deyip veya yeni bir gem yüklerken aşağıdaki gibi bir deneyim yaşıyor ve SSL hatası alıyor musunuz?:

C:\Sites\myproject>bundle install
Fetching gem metadata from https://rubygems.org/.........
Fetching additional metadata from https://rubygems.org/..

Gem::RemoteFetcher::FetchError: SSL_connect returned=1 errno=0 state=SSLv3 read
server certificate B: certificate verify failed (https://rubygems.org/gems/rake-
10.3.2.gem)
An error occurred while installing rake (10.3.2), and Bundler cannot continue.
Make sure that `gem install rake -v '10.3.2'` succeeds before bundling.

En basit çözüm; C:\Sites\myproject\Gemfile dosyasını açıp, ilk satırdaki 

source 'https://rubygems.org' yazısını basitçe
source 'http://rubygems.org' ile değiştirmek. Sizin de farkettiğiniz gibi, sadece https yerine http yaptım. Güvenli değil filan ama canım ülkemde bi ara rubygems.org hiç açılmıyordu, bu şekilde çalışmasına bile şükür :S

öyle yani ^^